> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/flows/list-flows",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List flows

> List flows for an organization.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /flows/{org}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /flows/{org}:
    get:
      tags:
        - Flows
      summary: List flows
      description: List flows for an organization.
      operationId: get_flows_flows__org__get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: search_by_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Return flows that contain the given string in their name. Only
              alphanumeric characters and '-' are allowed.
            title: Search By Name
          description: >-
            Return flows that contain the given string in their name. Only
            alphanumeric characters and '-' are allowed.
        - name: case_sensitive
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Whether the search_by_name filter is case sensitive. Defaults to
              true.
            default: true
            title: Case Sensitive
          description: >-
            Whether the search_by_name filter is case sensitive. Defaults to
            true.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlowList'
                title: Response Get Flows Flows  Org  Get
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    FlowList:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        visibility:
          type: string
          enum:
            - public
            - private
          title: Visibility
        org:
          type: string
          title: Org
        template:
          title: Template
        repo_url:
          anyOf:
            - type: string
            - type: string
              const: ''
            - type: 'null'
          title: Repo Url
        tags:
          anyOf:
            - {}
            - type: 'null'
          title: Tags
      type: object
      required:
        - name
        - description
        - visibility
        - org
        - template
      title: FlowList
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````